Class Index | File Index

## Classes

- _global_
- Deluge.Events
- Deluge.Formatters
- Deluge.Keys
- Deluge.OptionsManager
- Deluge.UI
- Ext.deluge.TorrentGrid
- Ext.ux.FullProgressBar

# Namespace Deluge.UI

Deluge
Defined in: Deluge.UI.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Deluge.UI

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Deluge.UI.initialize() Create all the interface components, the json-rpc client and set up various events that the UI will utilise.
<static> | Deluge.UI.onConnectedCheck(connected)
<static> | Deluge.UI.onUpdateError(error)
<static> | Deluge.UI.stop()
<static> | Deluge.UI.update()

Namespace Detail
Deluge.UI
Method Detail
<static> Deluge.UI.initialize()
Create all the interface components, the json-rpc client and set up various events that the UI will utilise.

<static> Deluge.UI.onConnectedCheck(connected)

Parameters:
connected

<static> Deluge.UI.onUpdateError(error)

Parameters:
error

<static> Deluge.UI.stop()

<static> Deluge.UI.update()

Documentation generated by JsDoc Toolkit 2.1.0 on Mon Jul 13 2009 00:34:03 GMT+0100 (BST)